Imports DevExpress.Pdf.Native.BouncyCastle.Asn1.X509

Public Class frmValidator_Messages
    Public Sub New(pDT As DataTable)
        MyBase.New()
        InitializeComponent()
        ' Add any initialization after the InitializeComponent() call.
        ImageListBoxControl1.DataSource = pDT
        ImageListBoxControl1.ImageIndexMember = pDT.Columns(1).ColumnName
        ImageListBoxControl1.ImageList = ImageCollection1
        ImageListBoxControl1.DisplayMember = pDT.Columns(0).ColumnName
        Dim oString = " Meldung"
        If pDT.Rows.Count > 1 Then
            oString = " Meldungen"
        End If
        If USER_LANGUAGE <> "de-DE" Then
            If pDT.Rows.Count > 1 Then
                oString = " messages"
            Else
                oString = " message"
            End If

        End If
        ToolStripStatusLabel1.Text = $"({pDT.Rows.Count.ToString}) {oString}"
    End Sub

    Private Sub frmValidator_Messages_Shown(sender As Object, e As EventArgs) Handles Me.Shown
        Me.BringToFront()
    End Sub
End Class